%define module	DBIx-Recordset
%define	name	perl-%{module}
%define version 0.26
%define release 2mdk

Summary:	Perl extension for DBI recordsets
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL or Artistic
Group:		Development/Perl
Source0:	%{module}-%{version}.tar.bz2
Url:		http://search.cpan.org/dist/%{module}/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%release}-buildroot/
BuildRequires:	perl-DBI
BuildRequires:	perl-devel
BuildRequires:  perl-DBD-Pg
Requires:	perl-DBI perl
Requires:	perl-base >= 2:5.8.7
BuildArch:	noarch

%description
DBIx::Recordset is a perl module for abstraction and simplification of database
access.

The goal is to make standard database access (select/insert/update/delete)
easier to handle and independend of the underlying DBMS. Special attention is
made on web applications to make it possible to handle the state-less access
and to process the posted data of formfields, but DBIx::Recordset is not
limited to web applications.

%prep
%setup -q -n %{module}-%{version}

%build
chmod 644 Changes Recordset.pm
perl -pi -e 's/\cM//' Changes
perl Makefile.PL INSTALLDIRS=vendor << EOF




EOF
make

%clean 
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%files
%defattr(-,root,root)
%doc Changes README TODO
%{_mandir}/*/*
%{perl_vendorlib}/DBIx

%changelog
* Wed Nov 09 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.26-2mdk
- Fix URL, summary, description, build, install, line endings and permissions
- Require DBI and perl-base by hand since perl.req doesn't seem to find it

* Tue Nov 09 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.26-1mdk
- 0.26

* Wed Apr 21 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.25a-1mdk
- 0.25a

* Wed Feb 25 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.24-8mdk
- rebuild
- own dir

* Thu Aug 14 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.24-7mdk
- rebuild for new perl
- drop Prefix tag
- drop $RPM_OPT_FLAGS, noarch..
- use %%makeinstall_std macro

* Wed Jul 30 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.24-6mdk
- fix buildrequires

* Tue May 27 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.24-5mdk
- rebuild for new auto{prov,req}

* Sat Aug 10 2002 Stefan van der Eijk <stefan@eijk.nu> 0.24-4mdk
- fix man installation

* Tue Jul 09 2002 Christian Belisle <cbelisle@mandrakesoft.com> 0.24-3mdk
- rebuild for new perl 5.8.0.

* Tue Oct 16 2001 Stefan van der Eijk <stefan@eijk.nu> 0.24-2mdk
- BuildRequires: perl-devel

* Fri Aug 31 2001 Franois Pons <fpons@mandrakesoft.com> 0.24-1mdk
- 0.24.
- updated license.
- remove filelist, now use globing and macros.

* Sun Jun 17 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.21-4mdk
- Remove Vendor and Distribution tag.
- Rebuild against the latest perl.
- s|Copyright|License|;

* Tue Mar 13 2001 Jeff Garzik <jgarzik@mandrakesoft.com> 0.21-3mdk
- BuildArch: noarch
- add docs
- rename spec file
- clean spec a bit

* Sat Sep 16 2000 Stefan van der Eijk <s.vandereijk@chello.nl> 0.21-2mdk
- Call spec-helper before creating filelist

* Wed Aug 09 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 0.21-1mdk
- Macroize package
